import cx from 'clsx';
import styles from './TextDemo.module.css';

type TextDemoProps = {
  fg: string;
  bg: string;
  ratio: number;
};

export function TextDemo({ fg, bg, ratio }: TextDemoProps) {
  return (
    <>
      <header className={styles.sub_header}>
        <h5>Normal Text</h5>
        <p className={styles.description}>14pt normal weight text.</p>
      </header>
      <div className={styles.demo_block} style={{ backgroundColor: `#${bg}`, color: `#${fg}` }}>
        <div className={styles.normal_text}>The quick brown fox jumps over the lazy dog.</div>
        <div className={styles.normal_text}>白日依山尽，黄河入海流。欲穷千里目，更上一层楼。</div>
      </div>
      <div className={styles.wacg_rating}>
        <div className={styles.rating_unit}>
          <span>WACG AA:</span>
          <span className={cx('badge', 'uppercase', ratio > 4.5 ? 'success' : 'danger')}>
            {ratio > 4.5 ? 'pass' : 'failed'}
          </span>
        </div>
        <div className={styles.rating_unit}>
          <span>WACG AAA:</span>
          <span className={cx('badge', 'uppercase', ratio > 7 ? 'success' : 'danger')}>
            {ratio > 7 ? 'pass' : 'failed'}
          </span>
        </div>
      </div>
      <header className={styles.sub_header}>
        <h5>Large/Bold Text</h5>
        <p className={styles.description}>18pt normal weight text and 14pt bold text.</p>
      </header>
      <div className={styles.demo_block} style={{ backgroundColor: `#${bg}`, color: `#${fg}` }}>
        <div className={styles.large_text}>The quick brown fox jumps over the lazy dog.</div>
        <div className={styles.large_text}>白日依山尽，黄河入海流。欲穷千里目，更上一层楼。</div>
        <div className={styles.bold_text}>The quick brown fox jumps over the lazy dog.</div>
        <div className={styles.bold_text}>白日依山尽，黄河入海流。欲穷千里目，更上一层楼。</div>
      </div>
      <div className={styles.wacg_rating}>
        <div className={styles.rating_unit}>
          <span>WACG AA:</span>
          <span className={cx('badge', 'uppercase', ratio > 3 ? 'success' : 'danger')}>
            {ratio > 3 ? 'pass' : 'failed'}
          </span>
        </div>
        <div className={styles.rating_unit}>
          <span>WACG AAA:</span>
          <span className={cx('badge', 'uppercase', ratio > 4.5 ? 'success' : 'danger')}>
            {ratio > 4.5 ? 'pass' : 'failed'}
          </span>
        </div>
      </div>
    </>
  );
}
